import { default as MacroEditorModel } from "../../Models/MacroEditorModel.js";
import { EditorBaseOf, IEditorBaseOfOptions } from "./EditorBase.js";
export interface IMacroEditorBaseOptions extends IEditorBaseOfOptions {
    fill?: boolean;
}
export declare class MacroEditorBase extends EditorBaseOf<MacroEditorModel> {
    constructor(options: IMacroEditorBaseOptions);
    protected get fill(): boolean;
    protected get isPrimaryEditor(): boolean;
    resize(): void;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    protected onCommit(): void;
    protected onResized(): void;
}
